{
  "lexicon": 1,
  "id": "space.polymodel.library.searchThings",
  "defs": {
    "main": {
      "type": "query",
      "description": "Full-text search.",
      "parameters": {
        "type": "params",
        "required": [
          "q"
        ],
        "properties": {
          "cursor": {
            "type": "string"
          },
          "limit": {
            "type": "integer",
            "default": 50,
            "minimum": 1,
            "maximum": 100
          },
          "q": {
            "type": "string",
            "maxLength": 256
          }
        }
      },
      "output": {
        "encoding": "application/json",
        "schema": {
          "type": "ref",
          "ref": "space.polymodel.library.defs#feedView"
        }
      }
    }
  }
}